{{define "assettypes"}}

{{template "layout-top" .}}

          <section class="feeds no-padding-top">
            <div class="container-fluid">
              <div class="row">
                <div class="col-lg-12">
                  <div class="articles card">
                    <div class="card-body">
                      <p>
                        AssetTypes sind grundlegende Arten von Assets - also Aktien, Optionsscheine, Zertifikate, ETFs oder CFDs
                        <br>
                        <span class="small">(Löschen deaktiviert)</span>
                      </p>
                    </div>
                  </div>
                </div>
                <div class="col-lg-6">
                  <div class="articles card">
                    <div class="card-header d-flex align-items-center">
                      <h2 class="h3">AssetTypes</h2>
                      <div class="badge badge-rounded bg-green">{{len .ResultArray}} AssetTypes</div>
                    </div>
                    {{if .FormDeleteMessage}}
                    <div class="card-header d-flex align-items-center">
                      <span style="color:#54e69d;"><small>{{.FormDeleteMessage}}</small></span>
                    </div>
                    {{end}}
                    {{if .FormDeleteMessageError}}
                    <div class="card-header d-flex align-items-center">
                      <span style="color:red;"><small>{{.FormDeleteMessageError}}</small></span>
                    </div>
                    {{end}}
                    <div class="card-body">
                      <div class="table-responsive">                       
                        <table class="table table-striped table-hover">
                          <thead>
                            <tr>
                              <th>Name</th>
                            </tr>
                          </thead>
                          <tbody>
                            {{range .ResultArray}}
                              <tr>
                                  <th scope="row">{{.Name}}</th>
                              </tr>
                            {{end}}
                          </tbody>
                        </table>
                      </div>
                    </div>
                  </div>
                </div>
                <div class="col-lg-6">
                    <div class="articles card">
                      <div class="card-header d-flex align-items-center">
                        <h2 class="h3">Neuen AssetType anlegen</h2>                        
                      </div>
                      {{if .FormNewMessage}}
                      <div class="card-header d-flex align-items-center">
                          <span style="color:#54e69d;"><small>{{.FormNewMessage}}</small></span>
                      </div>
                      {{end}}
                      {{if .FormNewMessageError}}
                      <div class="card-header d-flex align-items-center">
                          <span style="color:red;"><small>{{.FormNewMessageError}}</small></span>
                      </div>
                      {{end}}
                      <div class="card-body no-padding">
                        <div class="item d-flex align-items-center">

                          <form action="/assettypes" method="POST" class="form-horizontal">
                              <div class="form-group row">
                                <label class="col-sm-4">Name</label>
                                <div class="col-sm-8">
                                  <input type="text" id="name" name ="name" placeholder="Name" class="form-control form-control-success" autocomplete="off" />
                                  <small class="form-text">Name des AssetTypes eingeben.</small>
                                </div>
                              </div>
                              <div class="form-group row">       
                                <div class="col-sm-8 offset-sm-4">
                                  <input type="submit" id="submitNewAssettype" name="submitNewAssettype" value="Speichern" class="btn btn-primary" />
                                </div>
                              </div>
                          </form>

                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </section>
  
  {{ template "layout-bottom" .}}

{{end}}